Bug 804321 - FTBFS: big endian bug in self checks
FTBFS: big endian bug in self checks
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rubygem-sqlite3 (Show other bugs)
17
powerpc Linux
high Severity medium
: ---
: ---
Assigned To: Vít Ondruch
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-17 15:53 EDT by Karsten Hopp
Modified: 2012-04-11 23:25 EDT (History)
1 user (show)

See Also:
Fixed In Version: rubygem-sqlite3-1.3.5-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-11 23:25:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2012-03-17 15:53:16 EDT
Description of problem:
Self checks abort with an output mismatch, most likely because PPC is big endian:

Finished tests in 5.027547s, 42.9633 tests/s, 60.8647 assertions/s.
  1) Failure:
test_db_with_utf16(SQLite3::TestEncoding) [/builddir/build/BUILD/rubygem-sqlite3-1.3.4/usr/share/gems/gems/sqlite3-1.3.4/test/test_encoding.rb:79]:
<#<Encoding:UTF-16LE>> expected but was
<#<Encoding:UTF-16BE>>.


Version-Release number of selected component (if applicable):
rubygem-sqlite3-1.3.4-3.fc17

How reproducible:
always, see http://ppc.koji.fedoraproject.org/koji/packageinfo?packageID=11461

Steps to Reproduce:
1. ppc-koji build --scratch f17 rubygem-sqlite3-1.3.4-3.fc17.src.rpm
2.
3.
  
Actual results:
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=447219

Expected results:


Additional info:
Comment 1 Vít Ondruch 2012-04-02 07:14:15 EDT
Hm, there were two issues which should be already fixed in latest version:

https://github.com/luislavena/sqlite3-ruby/issues/51
https://github.com/luislavena/sqlite3-ruby/issues/40

Unfortunately after update to the latest version, there is different failure:

https://github.com/luislavena/sqlite3-ruby/issues/63
Comment 2 Fedora Update System 2012-04-03 06:59:44 EDT
rubygem-sqlite3-1.3.5-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/rubygem-sqlite3-1.3.5-1.fc17
Comment 3 Vít Ondruch 2012-04-03 07:02:43 EDT
Hi Karsten,

I have updated the sqlite3 to the most recent version and applied the patch mentioned in [1]. I have also tested the build with ppc, so I hope it solves your issues.


[1] https://github.com/luislavena/sqlite3-ruby/issues/63
Comment 4 Fedora Update System 2012-04-04 17:11:45 EDT
Package rubygem-sqlite3-1.3.5-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rubygem-sqlite3-1.3.5-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-5315/rubygem-sqlite3-1.3.5-1.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-04-11 23:25:50 EDT
rubygem-sqlite3-1.3.5-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.